package com.sy.coinage.app.req;

import com.sy.coinage.workshop.req.vo.BackSerialNumberVO;
import com.sy.coinage.workshop.req.vo.SerialNumberVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * -车间出库单据（库房解缴|返检单据|）添加请求bean
 */
@Data
public class DeliveryUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "出库单号")
    @NotBlank(message = "出库单号不能为空")
    private String orderNo;

    @ApiModelProperty(value = "checkId", required = true)
    @NotNull(message = "checkId不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "新增产品编号集合")
    private List<@Valid SerialNumberVO> addList;

    @ApiModelProperty(value = "删除的产品编号集合")
    private List<@Valid BackSerialNumberVO> delList;

}
