package com.sy.coinage.app.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "app主库确认解缴入库请求bean")
public class ShopConfirmReq {

    @ApiModelProperty(value = "单号")
    @NotBlank(message = "单号不能为空")
    private String orderNo;

//    @ApiModelProperty(value = "实际录入数量")
//    @NotNull(message = "实际录入数量不能为空")
//    @Min(1)
//    private Integer realNum;

    @ApiModelProperty(value = "仓库ID")
    @NotNull(message = "仓库ID不能为空")
    private Integer wareId;

    @ApiModelProperty(value = "库位ID")
    @NotNull(message = "库位ID不能为空")
    private Integer areaId;

    @ApiModelProperty(value = "复核人ID")
    @NotNull(message = "复核人不能为空")
    private Integer checkId;

    @ApiModelProperty(value = "自动扫描的集合")
    private List<String> autoArray;

    @ApiModelProperty(value = "手动扫描的集合")
    private List<String> manualArray;

}
