package com.sy.coinage.core.annotation;

import com.sy.coinage.log.model.LoginLog;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * -导出时参数需要转换的使用此注解
 */
@Retention(RetentionPolicy.RUNTIME) // 运行时有效
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER}) // 可用在方法的参数上
public @interface Conver {

    /**
     * -转换前参数对应的集合 -使用可参照 {@link LoginLog}
     *
     * @return
     */
    String[] keys();

    /**
     * -转换后参数对应的集合
     *
     * @return
     */
    String[] values();

}
