package com.sy.coinage.sys.model;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 部门实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("sys_dept")
// @ApiModel(value = "部门对象", description = "部门")
public class Dept implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键 -10
     */
    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 状态 1可用 2禁用 -3
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @TableField(value = "status")
    private Integer status;

    /**
     * 排序 -5
     */
    @ApiModelProperty(value = "排序")
    @TableField(value = "sorted")
    private Integer sorted;

    /**
     * 机构id -10
     */
    @ApiModelProperty(value = "机构id")
    @TableField(value = "org_id")
    private Integer orgId;

    /**
     * 上级id -10
     */
    @ApiModelProperty(value = "上级id")
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 创建人 -16
     */
    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by")
    private String createBy;

    /**
     * 名称 -30
     */
    @ApiModelProperty(value = "名称")
    @TableField(value = "name")
    private String name;

    /**
     * 创建时间 -19
     */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 租户id -10
     */
    @ApiModelProperty(value = "租户id")
    @TableField(value = "tenant_id")
    private Integer tenantId;

    /**
     * 备注 -50
     */
    @ApiModelProperty(value = "备注")
    @TableField(value = "remark")
    private String remark;

}
