package com.sy.coinage.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 字典实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("sys_dict")
// @ApiModel(value = "字典对象", description = "字典")
public class Dict implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键 -10
     */
    @ApiModelProperty(value = "自增主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 状态 1 启用 2 禁用 -3
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @TableField(value = "status")
    private Integer status;

    /**
     * 层级 -3
     */
    @ApiModelProperty(value = "层级")
    @TableField(value = "levels")
    private Integer levels;

    /**
     * 排序 -5
     */
    @ApiModelProperty(value = "排序")
    @TableField(value = "sorted")
    private Integer sorted;

    /**
     * 父id -10
     */
    @ApiModelProperty(value = "父id")
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 名称 -20
     */
    @ApiModelProperty(value = "名称")
    @TableField(value = "name")
    private String name;

    /**
     * 字典标识/英文数字 -20
     */
    @ApiModelProperty(value = "字典标识/英文数字")
    @TableField(value = "tag")
    private String tag;

    /**
     * 字典值 -20
     */
    @ApiModelProperty(value = "字典值")
    @TableField(value = "val")
    private String val;

    /**
     * 租户id -10
     */
    @ApiModelProperty(value = "租户id")
    @TableField(value = "tenant_id")
    private Integer tenantId;

}
