package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

/**
 * 部门查询请求bean
 */
@Getter
@Setter
public class DeptListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 状态 1可用 2禁用
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @Range(min = 1, max = 2, message = "状态值范围在1至2之间")
    private Integer status;
    /**
     * 机构id
     */
    @ApiModelProperty(value = "机构id")
    private Integer orgId;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

}
