package com.sy.coinage.sys.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

/**
 * 组织机构查询请求bean
 */
@Getter
@Setter
public class OrgListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 状态 1可用 2禁用
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @Range(min = 1, max = 2, message = "状态值范围在1至2之间")
    private Integer status;
    /**
     * 负责人 -10
     */
    @ApiModelProperty(value = "负责人")
    private String directorName;

    /**
     * 联系人 -10
     */
    @ApiModelProperty(value = "联系人")
    private String linkman;
    /**
     * 联系电话 -20
     */
    @ApiModelProperty(value = "联系电话")
    private String telephone;

    /**
     * 组织机构代码/编号 -20
     */
    @ApiModelProperty(value = "组织机构代码/编号")
    private String code;
    /**
     * 机构名称 -50
     */
    @ApiModelProperty(value = "机构名称")
    private String name;
    /**
     * 详细地址/无省市区信息 -50
     */
    @ApiModelProperty(value = "详细地址")
    private String address;

}
