package com.sy.coinage.sys.req;

import com.sy.coinage.core.interceptor.Update;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import java.io.Serializable;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * 省市区添加请求bean
 */
@Data
public class RegionReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键编号 -10
     */
    @ApiModelProperty(value = "主键编号")
    @NotNull(message = "主键编号不能为空", groups = {Update.class})
    @Range(min = 1, groups = {Update.class})
    private Integer code;
    /**
     * 地区等级 1省 2市 3区 -3
     */
    @ApiModelProperty(value = "地区等级 1省 2市 3区")
    @NotNull(message = "地区等级 1省 2市 3区不能为空")
    private Integer levels;

    /**
     * 上级编号 -10
     */
    @ApiModelProperty(value = "上级编号")
    @NotNull(message = "上级编号不能为空")
    private Integer pcode;
    /**
     * 地区名称 -20
     */
    @ApiModelProperty(value = "地区名称")
    @NotBlank(message = "地区名称不能为空")
    @Length(max = 20, message = "地区名称长度不正确")
    private String name;
    /**
     * 经度 -10
     */
    @ApiModelProperty(value = "经度")
    private Double longitude;
    /**
     * 纬度 -10
     */
    @ApiModelProperty(value = "纬度")
    private Double latitude;

}
