package com.sy.coinage.sys.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * Org实体类
 */
@Data
public class OrgVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @ApiModelProperty(value = "自增主键")
    private Integer id;

    /**
     * 状态 1可用 2禁用
     */
    @ApiModelProperty(value = "状态 1可用 2禁用")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sorted;

    /**
     * 上级id
     */
    @ApiModelProperty(value = "上级id")
    private Integer pid;

    /**
     * 负责人
     */
    @ApiModelProperty(value = "负责人")
    private String directorName;

    /**
     * 机构简称
     */
    @ApiModelProperty(value = "机构简称")
    private String shortName;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String linkman;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String telephone;

    /**
     * 省编号
     */
    @ApiModelProperty(value = "省编号")
    private Integer provinceCode;

    /**
     * 市编号
     */
    @ApiModelProperty(value = "市编号")
    private Integer cityCode;

    /**
     * 区编号
     */
    @ApiModelProperty(value = "区编号")
    private Integer districtCode;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 省名称
     */
    @ApiModelProperty(value = "省名称")
    private String provinceName;

    /**
     * 市名称
     */
    @ApiModelProperty(value = "市名称")
    private String cityName;

    /**
     * 区名称
     */
    @ApiModelProperty(value = "区名称")
    private String districtName;

    /**
     * 组织机构代码/编号
     */
    @ApiModelProperty(value = "组织机构代码/编号")
    private String code;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间 yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 机构名称
     */
    @ApiModelProperty(value = "机构名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "name")
    private String name;

    /**
     * 详细地址/无省市区信息
     */
    @ApiModelProperty(value = "详细地址/无省市区信息")
    private String address;

    /**
     * 租户id -10
     */
    @ApiModelProperty(value = "租户id")
    @TableField(value = "tenant_id")
    private Integer tenantId;


}
