package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("rfid_humidity_temperature")
@ApiModel(value = "实体类", description = "")
public class HumidityTemperature implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "temperature")
    @TableField(value = "temperature")
    private Double temperature;

    @ApiModelProperty(value = "humidity")
    @TableField(value = "humidity")
    private Double humidity;

    @ApiModelProperty(value = "创建日期(yyyy-mm-dd)")
    @TableField(value = "created")
    @JSONField(format = "yyyy-MM-dd")
    private Date created;

    @ApiModelProperty(value = "汇报时间（hh:mm:ss）")
    @TableField(value = "create_time")
    private String createTime;

    @ApiModelProperty(value = "设备上报时间(yyyy-MM-dd hh:mm:ss)")
    @TableField(value = "report_time")
    @JSONField(format = "yyyy-MM-dd hh:mm:ss")
    private Date reportTime;

    @ApiModelProperty(value = "主库ID:主库一201  主库二：202")
    @TableField(value = "wareId")
    private Integer wareId;

    @ApiModelProperty(value = "主库名称")
    @TableField(value = "ware_cn")
    private String wareCn;
}
