package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -产品表列表查询请求bean
 */
@Getter
@Setter
public class ProductListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -产品名称 -60
     */
    @ApiModelProperty(value = "产品名称")
    private String securities;
    /**
     * -规格 -30
     */
    @ApiModelProperty(value = "规格")
    private String spec;
    /**
     * -冠字号代码 -30
     */
    @ApiModelProperty(value = "冠字号代码")
    private String crownPrefix;
    /**
     * -整拍箱数（箱） -10
     */
    @ApiModelProperty(value = "整拍箱数（箱）")
    private Integer boxAmount;
    /**
     * -整箱枚数(枚) -10
     */
    @ApiModelProperty(value = "整箱枚数(枚)")
    private Integer amountPerBox;
    /**
     * -是否启用 1:启用 2:停用 -10
     */
    @ApiModelProperty(value = "是否启用 1:启用 2:停用")
    private Integer status;
    /**
     * -创建时间 -19
     */
    @ApiModelProperty(value = "创建时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
