package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -车间入库单（仅记录入库单，及返检单）列表查询请求bean
 */
@Getter
@Setter
public class WorkshopEntryListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -入库单单号，当是机台入库的。 -20
     */
    @ApiModelProperty(value = "入库单单号，当是机台入库的。")
    private String orderNo;
    /**
     * -1.车间入库 -10
     */
    @ApiModelProperty(value = "1.车间入库")
    private Integer orderType;
    /**
     * -品名ID -10
     */
    @ApiModelProperty(value = "品名ID")
    private Integer securitiesId;
    /**
     * -品名 -60
     */
    @ApiModelProperty(value = "品名")
    private String securities;
    /**
     * -整拍子数量 -10
     */
    @ApiModelProperty(value = "整拍子数量")
    private Integer racketNum;
    /**
     * -拍子总枚数（拍子数量*每拍子箱子数量*每箱子枚数） -10
     */
    @ApiModelProperty(value = "拍子总枚数（拍子数量*每拍子箱子数量*每箱子枚数）")
    private Integer racketTotal;
    /**
     * -零箱数 -10
     */
    @ApiModelProperty(value = "零箱数")
    private Integer boxNum;
    /**
     * -箱子含有总枚数（箱子数量*每箱枚数） -10
     */
    @ApiModelProperty(value = "箱子含有总枚数（箱子数量*每箱枚数）")
    private Integer boxTotal;
    /**
     * -零枚数量 -10
     */
    @ApiModelProperty(value = "零枚数量")
    private Integer piecesTotal;
    /**
     * -入库时间 -19
     */
    @ApiModelProperty(value = "入库时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人ID -10
     */
    @ApiModelProperty(value = "操作人ID")
    private Integer operatorId;
    /**
     * -操作人姓名 -20
     */
    @ApiModelProperty(value = "操作人姓名")
    private String operatorCn;
    /**
     * -复核人id -10
     */
    @ApiModelProperty(value = "复核人id")
    private Integer checkId;
    /**
     * -复核人 -20
     */
    @ApiModelProperty(value = "复核人")
    private String checker;
    /**
     * -目的地部门 -20
     */
    @ApiModelProperty(value = "目的地部门")
    private String dept;
    /**
     * -目的地部门ID -10
     */
    @ApiModelProperty(value = "目的地部门ID")
    private Integer deptId;

}
