package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * CheckBackup查询响应bean
 */
@Data
public class CheckBackupVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -Epc码值
     */
    @ApiModelProperty(value = "Epc码值")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号
     */
    @ApiModelProperty(value = "编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -抽检箱子数量
     */
    @ApiModelProperty(value = "抽检箱子数量")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -冠字号列表,用逗号分隔
     */
    @ApiModelProperty(value = "冠字号列表,用逗号分隔")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_list")
    private String crownList;
    /**
     * -抽检时间
     */
    @ApiModelProperty(value = "抽检时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * -抽检操作人
     */
    @ApiModelProperty(value = "抽检操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_operator_cn")
    private String checkOperatorCn;
    /**
     * -抽检复核人
     */
    @ApiModelProperty(value = "抽检复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -车前抽检入库确认
     */
    @ApiModelProperty(value = "车前抽检入库确认")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_in_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckInTime;
    /**
     * -车间确认抽检入库操作人
     */
    @ApiModelProperty(value = "车间确认抽检入库操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_in_operator_cn")
    private String workshopCheckInOperatorCn;
    /**
     * -车间抽检确认入库复核人
     */
    @ApiModelProperty(value = "车间抽检确认入库复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_in_cn")
    private String workshopCheckInCn;
    /**
     * -抽检车间出库确认时间
     */
    @ApiModelProperty(value = "抽检车间出库确认时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_out_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckOutTime;
    /**
     * -车间抽检出库操作人
     */
    @ApiModelProperty(value = "车间抽检出库操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_out_operator_cn")
    private String workshopCheckOutOperatorCn;
    /**
     * -车间抽检出库复核人
     */
    @ApiModelProperty(value = "车间抽检出库复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "workshop_check_out_cn")
    private String workshopCheckOutCn;
    /**
     * -抽检返回时间
     */
    @ApiModelProperty(value = "抽检返回时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_back_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkBackTime;
    /**
     * -抽检返回操作人
     */
    @ApiModelProperty(value = "抽检返回操作人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_back_operator_cn")
    private String checkBackOperatorCn;
    /**
     * -主库抽检返回确认复核人
     */
    @ApiModelProperty(value = "主库抽检返回确认复核人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_back_cn")
    private String checkBackCn;
    /**
     * -抽检登记: 1.库房抽检 2:车间抽检入库3.车间抽检出库4库房抽检返回确认
     */
    @ApiModelProperty(value = "抽检登记: 1.库房抽检 2:车间抽检入库3.车间抽检出库4库房抽检返回确认")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
    /**
     * -抽检返回的冠字号，多个用分号分隔
     */
    @ApiModelProperty(value = "抽检返回的冠字号，多个用分号分隔")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "return_crown_list")
    private String returnCrownList;
    /**
     * -冠字号前缀
     */
    @ApiModelProperty(value = "冠字号前缀")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_prefix")
    private String crownPrefix;
    /**
     * -仓库编号ID:主库的区域
     */
    @ApiModelProperty(value = "仓库编号ID:主库的区域")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_id")
    private String wareId;
    /**
     * -仓库名称
     */
    @ApiModelProperty(value = "仓库名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "ware_cn")
    private String wareCn;
    /**
     * -目的地部门
     */
    @ApiModelProperty(value = "目的地部门")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;
    /**
     * -目的地部门名称
     */
    @ApiModelProperty(value = "目的地部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;
    /**
     * -临时库库位区域：1:产成品区域2剔除品库区域（抽检单确认后默认选择2）
     */
    @ApiModelProperty(value = "临时库库位区域：1:产成品区域2剔除品库区域（抽检单确认后默认选择2） ")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "area_id")
    private Integer areaId;
}
