package com.sy.coinage.workshop.vo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@Data
public class ViewInfoVO {


    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "EPC码")
    @TableField(value = "rfid")
    private String rfid;

    @ApiModelProperty(value = "所属部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;

    @ApiModelProperty(value = "所属部门")
    @TableField(value = "dept")
    private String dept;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by")
    private String createBy;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_id")
    private Integer createId;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "总库-1复核异常 1解缴待入库 2解缴中 3解缴已入库 5已发货：// ：临时库-1复核异常 1入库 2解缴出库 3解缴已入库 4返检待入库 5返检已入库 6内部出库")
    @TableField(value = "status")
    private Integer status;

    @ApiModelProperty(value = "品名ID")
    @TableField(value = "securities_id")
    private Integer securitiesId;

    @ApiModelProperty(value = "品名")
    @TableField(value = "securities")
    private String securities;

    @ApiModelProperty(value = "编号")
    @TableField(value = "serial_number")
    private String serialNumber;

    @ApiModelProperty(value = "冠字号")
    private String crownBetweenStr;

    @ApiModelProperty(value = "皮重")
    @TableField(value = "tare_weight")
    private Double tareWeight;

    @ApiModelProperty(value = "毛重")
    @TableField(value = "gross_weight")
    private Double grossWeight;

    @ApiModelProperty(value = "称重人ID")
    @TableField(value = "weightor_id")
    private Integer weightorId;

    @ApiModelProperty(value = "称重人")
    @TableField(value = "weightor")
    private String weightor;

//    @ApiModelProperty(value = "称重时间 hh:mm:ss")
//    @TableField(value = "weight_time")
//    private String weightTime;

    @ApiModelProperty(value = "打印状态: 1.未打印 2.已打印")
    @TableField(value = "print_status")
    private Integer printStatus;

    @ApiModelProperty(value = "打印时间")
    @TableField(value = "print_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;

    @ApiModelProperty(value = "打印操作人ID")
    @TableField(value = "printer_id")
    private Integer printerId;

    @ApiModelProperty(value = "打印操作人")
    @TableField(value = "printer")
    private String printer;

    @ApiModelProperty(value = "质量状态 1:合格2:待定3:待检")
    @TableField(value = "quality_status")
    private Integer qualityStatus;


    @ApiModelProperty(value = "发货地址id")
    @TableField(value = "address_id")
    private String addressId;

    @ApiModelProperty(value = "位置发货地址")
    @TableField(value = "address_cn")
    private String addressCn;

    @ApiModelProperty(value = "来自封包线数据的请求ID,用于判重")
    @TableField(value = "seq_id")
    private String seqId;

    @ApiModelProperty(value = "数量:一个拍子上有多少箱（拆包：表示拆的包有多少箱)，主要用于拆包")
    @TableField(value = "qty")
    private Integer qty;

    @ApiModelProperty(value = "当仅为拆包登记绑定新的rfid时（origin_type=2），将拆出的数据变为字符串保存")
    @TableField(value = "crown_between")
    private String crownBetween;

    @ApiModelProperty(value = "冠字号起始")
    @TableField(value = "crown_from")
    private String crownFrom;

    @ApiModelProperty(value = "冠字号结束点")
    @TableField(value = "crown_to")
    private String crownTo;

    @ApiModelProperty(value = "复核人姓名")
    @TableField(value = "checker")
    private String checker;

    @ApiModelProperty(value = "整拍物料存储在哪个库:201主库一，202主库二,102造币二部临时库")
    @TableField(value = "loc_ware_id")
    private Integer locWareId;

    @ApiModelProperty(value = "当存储在主库一，主库二时，需保存该库库位信息")
    @TableField(value = "loc_area_id")
    private Integer locAreaId;

    @ApiModelProperty(value = "当前位置")
    @TableField(select = false, exist = false)
    private String locWare;

    @ApiModelProperty(value = "2入库3:出库")
    @TableField(select = false, exist = false)
    private Integer inOrOut;

    @ApiModelProperty(value = "操作时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date operateTime;

    @ApiModelProperty(value = "err_check : 复核异常,err_quality : 质量异常")
    private String errType;

//    @ApiModelProperty(value = "称重日期")
//    @TableField(value = "weight_date", select = false, exist = false)
//    @JSONField(format = "yyyy-MM-dd")
//    private Date weightDate;

}
